<?php

// Add scripts for Programmation
$this->headScript()->appendFile('');

if (strlen ($this->error))
{
    echo "<script type=\"text/javascript\">\n";
    echo "alert ('".$this->error."');\n";
    echo "window.location = \"/Supervision\"";
    echo "</script>\n";
}

echo $this->composerCalendar ($this->week, $this->year, $this->zoom);?>

<script type="text/javascript">
if ($('prevWeek') && $('nextWeek'))
{
    $('prevWeek').addEvent ('click', function (e) {
        e.stop ();
        var zoom = $('zoomLevel').get ('text');
        moveToWeek ($('weekId').get ('text'), 'prev', zoom);
    });
    $('nextWeek').addEvent ('click', function (e) {
        e.stop ();
        var zoom = $('zoomLevel').get ('text');
        moveToWeek ($('weekId').get ('text'), 'next', zoom);
    });
}
if ($('zoomIn') && $('zoomOut'))
{
    $('zoomOut').addEvent ('click', function (e) {
        e.stop ();
        var zoom = $('zoomLevel').get ('text');
        moveToWeek ($('weekId').get ('text'), '', zoom.toInt ()-1);
    });
    $('zoomIn').addEvent ('click', function (e) {
        e.stop ();
        var zoom = $('zoomLevel').get ('text');
        moveToWeek ($('weekId').get ('text'), '', zoom.toInt ()+1);
    });
}
if ($('boxR'))
    $('boxR').hide ();
</script>
